Cyberduck Mountain Duck CLI

#5705 closed defect (fixed)

S3 metadata not shown correct

Reported by: simon.s Owned by: dkocher
Priority: normal Milestone: 4.0b10
Component: s3 Version: 4.0b9
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

When i am starting to check the metadata in my S3 it works properly at the beginning. But later on it stops to refresh the metadata and shows wrong metadata for example of otherfiles. After restart of Cyberduck it works properly.

I am not sure which Priority i should set, so i took the default

Change History (6)

comment:1 Changed on Feb 15, 2011 at 2:33:04 PM by dkocher

  • Component changed from core to s3
  • Milestone set to 4.0b10
  • Owner set to dkocher

comment:2 Changed on Feb 26, 2011 at 3:15:25 PM by yla

I cannot replicate this. Can you provide the exact steps to reproduce the issue?

comment:3 Changed on Feb 28, 2011 at 9:23:47 AM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r8422.

comment:4 follow-up: Changed on Mar 1, 2011 at 2:08:38 PM by simon.s

sorry for my late feedback, although it is closed i report my workflow

  1. take a look at the meta-data
  2. change the metadata with another tool, not with cyberduck, in this case i wrote a script which automatically updates the headers in S3
  3. refresh
  4. metadata will not be updated for already shown metadata, they will stay the same as before, only open&close of cyberducks worked for me

Thank you for fixing it :D

Edit: btw checked this on the MacBook same behaviour

Last edited on Mar 1, 2011 at 2:11:10 PM by simon.s (previous) (diff)

comment:5 in reply to: ↑ 4 Changed on Mar 1, 2011 at 2:13:00 PM by dkocher

Replying to simon.s:

sorry for my late feedback, although it is closed i report my workflow

  1. take a look at the meta-data
  2. change the metadata with another tool, not with cyberduck, in this case i wrote a script which automatically updates the headers in S3
  3. refresh
  4. metadata will not be updated for already shown metadata, they will stay the same as before, only open&close of cyberducks worked for me

Thank you for fixing it :D

Edit: btw checked this on the MacBook same behaviour

The information is cached. You can hit ⌘-R to refresh.

comment:6 Changed on Mar 1, 2011 at 2:21:09 PM by simon.s

yeah this is not working properly

I tried to refresh with strg +R (atm i am on windows) but the updated files, from which i already seen the metadata won't update

sorry for my early bug ticket, maybe i should investigate this more, and describe it more, and i also have to say, the title is not choosen right

Note: See TracTickets for help on using tickets.
swiss made software